<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: RTCDataChannel Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_r_t_c_data_channel-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RTCDataChannel Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RTCDataChannel:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_r_t_c_data_channel.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a1fe80777f8a904c293cc295818082341"><td class="memItemLeft" align="right" valign="top"><a id="a1fe80777f8a904c293cc295818082341"></a>
(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <b>NS_UNAVAILABLE</b></td></tr>
<tr class="separator:a1fe80777f8a904c293cc295818082341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b3937e5976acf86a7858afe18d587bb"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_data_channel.html#a8b3937e5976acf86a7858afe18d587bb">close</a></td></tr>
<tr class="separator:a8b3937e5976acf86a7858afe18d587bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8491bc4570a78c50c924f33e62ee1b77"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_data_channel.html#a8491bc4570a78c50c924f33e62ee1b77">sendData:</a></td></tr>
<tr class="separator:a8491bc4570a78c50c924f33e62ee1b77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:af52a5b3b8a0292e279b98c764022b06a"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#af52a5b3b8a0292e279b98c764022b06a">label</a></td></tr>
<tr class="separator:af52a5b3b8a0292e279b98c764022b06a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac0ee8806e370f343bd4783dcb7daf5c"><td class="memItemLeft" align="right" valign="top">BOOL isReliable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#aac0ee8806e370f343bd4783dcb7daf5c">DEPRECATED_ATTRIBUTE</a></td></tr>
<tr class="separator:aac0ee8806e370f343bd4783dcb7daf5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7f6ce8c065fefacbecf1f4c4ee7e24f"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#af7f6ce8c065fefacbecf1f4c4ee7e24f">isOrdered</a></td></tr>
<tr class="separator:af7f6ce8c065fefacbecf1f4c4ee7e24f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c5de6c5623e026daff189514e31f5d8"><td class="memItemLeft" align="right" valign="top">NSUInteger maxRetransmitTime&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#a2c5de6c5623e026daff189514e31f5d8">DEPRECATED_ATTRIBUTE</a></td></tr>
<tr class="separator:a2c5de6c5623e026daff189514e31f5d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa25327b45fc442ece880bc0f390de198"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#aa25327b45fc442ece880bc0f390de198">maxPacketLifeTime</a></td></tr>
<tr class="separator:aa25327b45fc442ece880bc0f390de198"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa28ccdbe46bb5c6f83b26162b08f58ed"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#aa28ccdbe46bb5c6f83b26162b08f58ed">maxRetransmits</a></td></tr>
<tr class="separator:aa28ccdbe46bb5c6f83b26162b08f58ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f2cb10207808bcc83df486add23af29"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#a0f2cb10207808bcc83df486add23af29">protocol</a></td></tr>
<tr class="separator:a0f2cb10207808bcc83df486add23af29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae60fa7868ab7fff48ce9bda76799f8de"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#ae60fa7868ab7fff48ce9bda76799f8de">isNegotiated</a></td></tr>
<tr class="separator:ae60fa7868ab7fff48ce9bda76799f8de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33b1769a6a2e4a4b164939d25081b81e"><td class="memItemLeft" align="right" valign="top">NSInteger streamId&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#a33b1769a6a2e4a4b164939d25081b81e">DEPRECATED_ATTRIBUTE</a></td></tr>
<tr class="separator:a33b1769a6a2e4a4b164939d25081b81e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afda57083a6a0045aa34572615ef84f52"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#afda57083a6a0045aa34572615ef84f52">channelId</a></td></tr>
<tr class="separator:afda57083a6a0045aa34572615ef84f52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d0edbf476fbf30adcea514a418da14e"><td class="memItemLeft" align="right" valign="top">RTCDataChannelState&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#a6d0edbf476fbf30adcea514a418da14e">readyState</a></td></tr>
<tr class="separator:a6d0edbf476fbf30adcea514a418da14e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2841867281188c6e8f4bf3e24ec438cb"><td class="memItemLeft" align="right" valign="top">uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#a2841867281188c6e8f4bf3e24ec438cb">bufferedAmount</a></td></tr>
<tr class="separator:a2841867281188c6e8f4bf3e24ec438cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f22ab2c26129d6b3b28e8f6e003392d"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_r_t_c_data_channel_delegate-p.html">RTCDataChannelDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_data_channel.html#a9f22ab2c26129d6b3b28e8f6e003392d">delegate</a></td></tr>
<tr class="separator:a9f22ab2c26129d6b3b28e8f6e003392d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a8b3937e5976acf86a7858afe18d587bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b3937e5976acf86a7858afe18d587bb">&#9670;&nbsp;</a></span>close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) close </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Closes the data channel. </p>

</div>
</div>
<a id="a8491bc4570a78c50c924f33e62ee1b77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8491bc4570a78c50c924f33e62ee1b77">&#9670;&nbsp;</a></span>sendData:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) sendData: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_data_buffer.html">RTCDataBuffer</a> *)&#160;</td>
          <td class="paramname"><em>data</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Attempt to send |data| on this data channel's underlying data transport. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a2841867281188c6e8f4bf3e24ec438cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2841867281188c6e8f4bf3e24ec438cb">&#9670;&nbsp;</a></span>bufferedAmount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (uint64_t) bufferedAmount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The number of bytes of application data that have been queued using |sendData:| but that have not yet been transmitted to the network. </p>

</div>
</div>
<a id="afda57083a6a0045aa34572615ef84f52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afda57083a6a0045aa34572615ef84f52">&#9670;&nbsp;</a></span>channelId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (int) channelId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The identifier for this data channel. </p>

</div>
</div>
<a id="a9f22ab2c26129d6b3b28e8f6e003392d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f22ab2c26129d6b3b28e8f6e003392d">&#9670;&nbsp;</a></span>delegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_r_t_c_data_channel_delegate-p.html">RTCDataChannelDelegate</a>&gt;) delegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The delegate for this data channel. </p>

</div>
</div>
<a id="aac0ee8806e370f343bd4783dcb7daf5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac0ee8806e370f343bd4783dcb7daf5c">&#9670;&nbsp;</a></span>DEPRECATED_ATTRIBUTE <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL isReliable) DEPRECATED_ATTRIBUTE</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Whether the data channel can send messages in unreliable mode. </p>

</div>
</div>
<a id="a2c5de6c5623e026daff189514e31f5d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c5de6c5623e026daff189514e31f5d8">&#9670;&nbsp;</a></span>DEPRECATED_ATTRIBUTE <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSUInteger maxRetransmitTime) DEPRECATED_ATTRIBUTE</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Deprecated. Use maxPacketLifeTime. </p>

</div>
</div>
<a id="a33b1769a6a2e4a4b164939d25081b81e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33b1769a6a2e4a4b164939d25081b81e">&#9670;&nbsp;</a></span>DEPRECATED_ATTRIBUTE <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSInteger streamId) DEPRECATED_ATTRIBUTE</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Deprecated. Use channelId. </p>

</div>
</div>
<a id="ae60fa7868ab7fff48ce9bda76799f8de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae60fa7868ab7fff48ce9bda76799f8de">&#9670;&nbsp;</a></span>isNegotiated</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isNegotiated</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns whether this data channel was negotiated by the application or not. </p>

</div>
</div>
<a id="af7f6ce8c065fefacbecf1f4c4ee7e24f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7f6ce8c065fefacbecf1f4c4ee7e24f">&#9670;&nbsp;</a></span>isOrdered</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isOrdered</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns whether this data channel is ordered or not. </p>

</div>
</div>
<a id="af52a5b3b8a0292e279b98c764022b06a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af52a5b3b8a0292e279b98c764022b06a">&#9670;&nbsp;</a></span>label</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) label</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>A label that can be used to distinguish this data channel from other data channel objects. </p>

</div>
</div>
<a id="aa25327b45fc442ece880bc0f390de198"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa25327b45fc442ece880bc0f390de198">&#9670;&nbsp;</a></span>maxPacketLifeTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (uint16_t) maxPacketLifeTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The length of the time window (in milliseconds) during which transmissions and retransmissions may occur in unreliable mode. </p>

</div>
</div>
<a id="aa28ccdbe46bb5c6f83b26162b08f58ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa28ccdbe46bb5c6f83b26162b08f58ed">&#9670;&nbsp;</a></span>maxRetransmits</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (uint16_t) maxRetransmits</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The maximum number of retransmissions that are attempted in unreliable mode. </p>

</div>
</div>
<a id="a0f2cb10207808bcc83df486add23af29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f2cb10207808bcc83df486add23af29">&#9670;&nbsp;</a></span>protocol</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) protocol</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The name of the sub-protocol used with this data channel, if any. Otherwise this returns an empty string. </p>

</div>
</div>
<a id="a6d0edbf476fbf30adcea514a418da14e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d0edbf476fbf30adcea514a418da14e">&#9670;&nbsp;</a></span>readyState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (RTCDataChannelState) readyState</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The state of the data channel. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_r_t_c_data_channel_8h_source.html">RTCDataChannel.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
